ContainerMapper (Apache Ant API)
Keywords: org.apache.tools.ant.util.ContainerMapper,ContainerMapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class ContainerMapper

    java.lang.Object
      |
      +--org.apache.tools.ant.util.ContainerMapper

All Implemented Interfaces:
  FileNameMapper

Direct Known Subclasses:
  ChainedMapper, CompositeMapper

public abstract class ContainerMapper
extends java.lang.Object
implements FileNameMapper

A `FileNameMapper` that contains other `FileNameMapper`s.

See Also:
  `FileNameMapper`

Constructor Summary
`ContainerMapper()`

Method Summary
`void` | `add(FileNameMapper fileNameMapper)` Add a `FileNameMapper`.
`void` | `addConfiguredMapper(Mapper mapper)` Add a `Mapper`.
`protected boolean` | `contains(FileNameMapper fileNameMapper)` Return `true` if this `ContainerMapper` or any of its sub-elements contains the specified `FileNameMapper`.
`java.util.List` | `getMappers()` Get the `List` of `FileNameMapper`s.
`void` | `setFrom(java.lang.String ignore)` Empty implementation.
`void` | `setTo(java.lang.String ignore)` Empty implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.util.FileNameMapper
`mapFileName`

Constructor Detail

### ContainerMapper

    public ContainerMapper()

Method Detail

### addConfiguredMapper

    public void addConfiguredMapper(Mapper mapper)

  Add a `Mapper`.

  Parameters:
    `mapper` - the `Mapper` to add.

### add

    public void add(FileNameMapper fileNameMapper)

  Add a `FileNameMapper`.

  Parameters:
    `fileNameMapper` - a `FileNameMapper`.
  Throws:
    ``IllegalArgumentException`` - if attempting to add this `ContainerMapper` to itself, or if the specified `FileNameMapper` is itself a `ContainerMapper` that contains this `ContainerMapper`.

### contains

    protected boolean contains(FileNameMapper fileNameMapper)

  Return `true` if this `ContainerMapper` or any of its sub-elements contains the specified `FileNameMapper`.

  Parameters:
    `fileNameMapper` - the `FileNameMapper` to search for.
  Returns:
    `boolean`.

### getMappers

    public java.util.List getMappers()

  Get the `List` of `FileNameMapper`s.

  Returns:
    `List`.

### setFrom

    public void setFrom(java.lang.String ignore)

  Empty implementation.

  Specified by:
    `setFrom` in interface `FileNameMapper`

### setTo

    public void setTo(java.lang.String ignore)

  Empty implementation.

  Specified by:
    `setTo` in interface `FileNameMapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.